Debian Bug report logs - #702300
ITA: rdflib -- RDF library containing an RDF triple store

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nacho Barrientos Arias <nacho@debian.org>

Date: Mon, 4 Mar 2013 21:51:02 UTC

Owned by: chrysn <chrysn@fsfe.org>

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, nacho@debian.org, wnpp@debian.org:
Bug#702300; Package wnpp. (Mon, 04 Mar 2013 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nacho Barrientos Arias <nacho@debian.org>:
New Bug report received and forwarded. Copy sent to nacho@debian.org, wnpp@debian.org. (Mon, 04 Mar 2013 21:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nacho Barrientos Arias <nacho@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: rdflib -- RDF library containing an RDF triple store and RDF/XML parser/serializer
Date: Mon, 04 Mar 2013 22:47:54 +0100
Package: wnpp
Severity: normal

Due to lack of time to work on new versions, I intend to orphan 
the rdflib package. Some people have already shown interest
in taking care of it.

The package description is:
 RDFLib is a Python library for working with RDF, a simple yet
 powerful language for representing information. The library
 contains an RDF/XML parser/serializer that conforms to the
 RDF/XML Syntax Specification and both in-memory and persistent
 Graph backend.
 .
 This package also provides a serialization format converter
 called rdfpipe in order to deal with the different formats
 RDFLib works with.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702300; Package wnpp. (Thu, 30 May 2013 14:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 30 May 2013 14:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 702300@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: 702300@bugs.debian.org
Subject: ITA: rdflib
Date: Thu, 30 May 2013 16:35:04 +0200
[Message part 1 (text/plain, inline)]
i intend to adopt this package.

i use it actively and prepared a version 3 update described in bug
#655039 -- my updated package is far from ready, and furthermore
outdated due to upstreams 4.0.1, but i don't want this useful library to
get lost for debian.

if someone wants to adopt this package before i get it ready to look for
a sponsor, feel free to do so, or let's join efforts.

best regards
chrysn

-- 
A beginning is the time for taking the most delicate care that the
balances are correct.
  -- Princess Irulan, Manual of Muad'Dib
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITA: rdflib -- RDF library containing an RDF triple store' from 'O: rdflib -- RDF library containing an RDF triple store and RDF/XML parser/serializer' Request was from chrysn <chrysn@fsfe.org> to control@bugs.debian.org. (Thu, 30 May 2013 14:54:07 GMT) Full text and rfc822 format available.

Owner recorded as chrysn <chrysn@fsfe.org>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Thu, 30 May 2013 22:06:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, chrysn <chrysn@fsfe.org>:
Bug#702300; Package wnpp. (Wed, 27 Nov 2013 13:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <obergix@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, chrysn <chrysn@fsfe.org>. (Wed, 27 Nov 2013 13:15:10 GMT) Full text and rfc822 format available.

Message #19 received at 702300@bugs.debian.org (full text, mbox):

From: Olivier Berger <obergix@debian.org>
To: chrysn <chrysn@fsfe.org>, 702300@bugs.debian.org
Subject: Re: Bug#702300: ITA: rdflib
Date: Wed, 27 Nov 2013 14:12:18 +0100
Hi.

On Thu, May 30, 2013 at 04:35:04PM +0200, chrysn wrote:
> i intend to adopt this package.
> 
> i use it actively and prepared a version 3 update described in bug
> #655039 -- my updated package is far from ready, and furthermore
> outdated due to upstreams 4.0.1, but i don't want this useful library to
> get lost for debian.
> 
> if someone wants to adopt this package before i get it ready to look for
> a sponsor, feel free to do so, or let's join efforts.
> 

I'd be interested in helping. I have no need (yet) for Python 3.3, but do need a recent rdflib for ongoing experimentations with WebID for Django-based Debian web applications (userdir-ldap rewrite, etc.).

What's the current status on your side ?

Maybe we could envision some collaborative maintenance under the umbrella of the Python Modules team (https://wiki.debian.org/Teams/PythonModulesTeam) ?

I'm a DD, for what it's worth (may be sponsoring for instance ;).

Best regards,

-- 
Olivier BERGER 
http://www-public.telecom-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingenieur Recherche - Dept INF
Institut Mines-Telecom, Telecom SudParis, Evry (France)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702300; Package wnpp. (Wed, 27 Nov 2013 13:42:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Nov 2013 13:42:14 GMT) Full text and rfc822 format available.

Message #24 received at 702300@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: Olivier Berger <obergix@debian.org>
Cc: 702300@bugs.debian.org
Subject: Re: Bug#702300: ITA: rdflib
Date: Wed, 27 Nov 2013 14:38:29 +0100
[Message part 1 (text/plain, inline)]
hello oliver,

On Wed, Nov 27, 2013 at 02:12:18PM +0100, Olivier Berger wrote:
> What's the current status on your side ?

i have not yet updated my packaging efforts since what is described in
[1] (in february).

> Maybe we could envision some collaborative maintenance under the
> umbrella of the Python Modules team
> (https://wiki.debian.org/Teams/PythonModulesTeam) ?

what kept me from joining that team so far is that they use svn
exclusively; i can use svn, but prefer git packaging unless there is
compelling reason to do otherwise.

if you want to join in and want to do something before i get to continue
working on it (which i assume will be in the second half of december), i
suggest you start from [1]. when i continue, i'll probably create a repo
on collab-maint then (unless python-modules starts using git by then).
if it is critical for you to have the package in python-modules' svn in
order to join the packaging, and want to go ahead with doing stuff, i
could do with that too.

best regards
chrysn

[1] http://bugs.debian.org/655039

-- 
To use raw power is to make yourself infinitely vulnerable to greater powers.
  -- Bene Gesserit axiom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, chrysn <chrysn@fsfe.org>:
Bug#702300; Package wnpp. (Wed, 27 Nov 2013 13:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@telecom-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, chrysn <chrysn@fsfe.org>. (Wed, 27 Nov 2013 13:57:05 GMT) Full text and rfc822 format available.

Message #29 received at 702300@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@telecom-sudparis.eu>
To: chrysn <chrysn@fsfe.org>
Cc: Olivier Berger <obergix@debian.org>, 702300@bugs.debian.org
Subject: Re: Bug#702300: ITA: rdflib
Date: Wed, 27 Nov 2013 14:54:35 +0100
Hi.

chrysn <chrysn@fsfe.org> writes:

> hello oliver,
>
> On Wed, Nov 27, 2013 at 02:12:18PM +0100, Olivier Berger wrote:
>> What's the current status on your side ?
>
> i have not yet updated my packaging efforts since what is described in
> [1] (in february).
>

OK, so I'll have a deeper look.

>> Maybe we could envision some collaborative maintenance under the
>> umbrella of the Python Modules team
>> (https://wiki.debian.org/Teams/PythonModulesTeam) ?
>
> what kept me from joining that team so far is that they use svn
> exclusively; i can use svn, but prefer git packaging unless there is
> compelling reason to do otherwise.
>

I see.

For me, the VCS is not so much of a big deal, as I more or less either
use git-buildpackage or svn-buildpackage when need be... but I do prefer
git if there's a choice to make, too ;-)

Still, I think the main issue is the manpower, and fulfilling different
needs, like yours of Python 3 and mine of Python 2, etc. So that's why I
think collaborative maintenance is something we should seek... but
that said, I'm a newcomer to the Python modules team (just arrived
yesterday ;) so I don't know exactly all the habits there.

> if you want to join in and want to do something before i get to continue
> working on it (which i assume will be in the second half of december), i
> suggest you start from [1]. when i continue, i'll probably create a repo
> on collab-maint then (unless python-modules starts using git by then).
> if it is critical for you to have the package in python-modules' svn in
> order to join the packaging, and want to go ahead with doing stuff, i
> could do with that too.
>

I'll start with git and we shall see what happens, maybe getting more
knwoledge of what's cooking re Python modules team and git.

I'll let you know soon of my progress.

Best regards,
-- 
Olivier BERGER <olivier.berger@it-sudparis.eu> - OpenPGP: 5819D7E8
Ingénieur Recherche - Dept INF - T&MSP (http://www.it-sudparis.eu)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, chrysn <chrysn@fsfe.org>:
Bug#702300; Package wnpp. (Wed, 27 Nov 2013 14:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@telecom-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, chrysn <chrysn@fsfe.org>. (Wed, 27 Nov 2013 14:36:05 GMT) Full text and rfc822 format available.

Message #34 received at 702300@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@telecom-sudparis.eu>
To: chrysn <chrysn@fsfe.org>
Cc: 702300@bugs.debian.org
Subject: Re: Bug#702300: ITA: rdflib
Date: Wed, 27 Nov 2013 15:33:00 +0100
Hi again.

Olivier Berger <olivier.berger@telecom-sudparis.eu> writes:

> chrysn <chrysn@fsfe.org> writes:
>
>> On Wed, Nov 27, 2013 at 02:12:18PM +0100, Olivier Berger wrote:
>>> What's the current status on your side ?
>>
>> i have not yet updated my packaging efforts since what is described in
>> [1] (in february).
>>
>
> OK, so I'll have a deeper look.
>
>

Hmm... I can find the source package at the second pointer indicated in
[1], but as the mentors site has changed, I don't find anything else.

Do you have an existing public git repo I could clone, to start with
(instead of reinjecting in an empty git-buidlpackage one) ?

Thanks in advance.

Best regards,

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=655039#25

-- 
Olivier BERGER 
http://www-public.telecom-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingenieur Recherche - Dept INF
Institut Mines-Telecom, Telecom SudParis, Evry (France)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702300; Package wnpp. (Wed, 27 Nov 2013 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Nov 2013 15:09:04 GMT) Full text and rfc822 format available.

Message #39 received at 702300@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: Olivier Berger <olivier.berger@telecom-sudparis.eu>
Cc: 702300@bugs.debian.org
Subject: Re: Bug#702300: ITA: rdflib
Date: Wed, 27 Nov 2013 16:04:55 +0100
[Message part 1 (text/plain, inline)]
On Wed, Nov 27, 2013 at 03:33:00PM +0100, Olivier Berger wrote:
> Do you have an existing public git repo I could clone, to start with
> (instead of reinjecting in an empty git-buidlpackage one) ?

i have set up a repository in collab-maint at [1] and reverted the last
commits that were required before python3 reached version 3.3 in
unstable.

it builds fine now, it's just not upgraded to the current rdflib version
(4-something iirc). as the packaging is quite minimal (thanks to pybuild
and sane upstream behavior), i assume upgrading won't require much work.

some parts of the packaging are not yet up to the standards i'd hold to
these days (lack of dep3 headers on patches, and worse, outdated
copyright file); i can't fix them right now.

hth
chrysn

[1] git+ssh://git.debian.org/git/collab-maint/rdflib.git

-- 
To use raw power is to make yourself infinitely vulnerable to greater powers.
  -- Bene Gesserit axiom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, chrysn <chrysn@fsfe.org>:
Bug#702300; Package wnpp. (Wed, 27 Nov 2013 17:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <obergix@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, chrysn <chrysn@fsfe.org>. (Wed, 27 Nov 2013 17:00:05 GMT) Full text and rfc822 format available.

Message #44 received at 702300@bugs.debian.org (full text, mbox):

From: Olivier Berger <obergix@debian.org>
To: Sergio Fernández <sergio@wikier.org>, 728228@bugs.debian.org
Cc: 702300@bugs.debian.org
Subject: Re: Bug#728228: Acknowledgement (upgrade rdflib, version 4.0.1 already in upstream)
Date: Wed, 27 Nov 2013 17:57:12 +0100
Hi.

On Tue, Oct 29, 2013 at 08:57:19PM +0100, Sergio Fernández wrote:
> Reading some documentation, I managed to build a first draft of a
> package with the latest version:
> 
> http://www.wikier.org/stuff/deb/rdflib/4.0.1/
> 
> Would be cool if someone could check it...
> 

Sergio, do you have a pointer to the the source package ?

This is apparently only the binary package, thus doesn't help a lot for a review.

FYI, we're starting over to maintain a Debian package for rdflib (see messages in http://bugs.debian.org/702300), so I'll eventually try and merge your contributions.

And feel free to join ;-)

Best regards,
-- 
Olivier BERGER 
http://www-public.telecom-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingenieur Recherche - Dept INF
Institut Mines-Telecom, Telecom SudParis, Evry (France)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, chrysn <chrysn@fsfe.org>:
Bug#702300; Package wnpp. (Mon, 16 Dec 2013 16:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@telecom-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, chrysn <chrysn@fsfe.org>. (Mon, 16 Dec 2013 16:42:09 GMT) Full text and rfc822 format available.

Message #49 received at 702300@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@telecom-sudparis.eu>
To: 702300@bugs.debian.org,
Cc: 655039@bugs.debian.org
Subject: More or less done packaging rdflib 4.0.1 (incl. Python 3) : need review
Date: Mon, 16 Dec 2013 17:39:17 +0100
Control: tags 655039 + patch

Hi.

I've more or less done what I could for rdflib 4.0.1, now. 

Christian, I may try to upload it to experimental if you feel like it.

You'll find in the collab-maint Git repo [0] the git-buidpackage sources
of the updated packaging for RDFLib 4.0.1.

It depends on updated Python3-ready html5lib (in experimental now) and
SPARQLWrapper (pending update by Nacho or NMU if he lasts too long).

There are a few uncertainties regarding some copyright/license for
debian/copyright but nothing blocking I hope.

I haven't yet done much testing (other than the provided test suite)
myself, but intend to do so in the coming days.

Feedback by any interested users is very much welcome.

Once it's in experimental, I think we'll send a message to maintainers
of rdepends of the package, to eventually get more feedback.

Best regards,

[0] http://anonscm.debian.org/gitweb/?p=collab-maint/rdflib.git;a=shortlog;h=refs/heads/debian
-- 
Olivier BERGER 
http://www-public.telecom-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingenieur Recherche - Dept INF
Institut Mines-Telecom, Telecom SudParis, Evry (France)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, chrysn <chrysn@fsfe.org>:
Bug#702300; Package wnpp. (Wed, 29 Jan 2014 21:06:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@telecom-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, chrysn <chrysn@fsfe.org>. (Wed, 29 Jan 2014 21:06:13 GMT) Full text and rfc822 format available.

Message #54 received at 702300@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@telecom-sudparis.eu>
To: chrysn <chrysn@fsfe.org>, 702300@bugs.debian.org
Cc: 655039@bugs.debian.org, christian@amsuess.com
Subject: Uploaded to experimental (pending approval) - Was: Re: More or less done packaging rdflib 4.0.1 (incl. Python 3) : need review
Date: Wed, 29 Jan 2014 22:02:35 +0100
Hi.

FYI, I've just uploaded the package to exeprimental, and it is now
sitting in the NEW queue :
https://ftp-master.debian.org/new/rdflib_4.0.1-1.html

As the package is meant to be in collab-maint / team maintained, I hope
that you're still OK, Christian (I've kept you as Maintainer, and me as
uploader).

I'd appreciate more test reports, of course (until the package is
approved, grab the sources from the Git tag debian/4.0.1-1 [1]).

I'll start pinging the rdepends maintainers, so that we can expect a
smooth transition.

At last I hope we'll have a more usable rdflib in Debian.

Note that a newer release has appeared upstream, but I'm not sure
there's a hurry, so I'll already be happy to have feedback on 4.0.1 for
now (hoping that the changes upstream won't impact the packaging much).

Best regards,

Olivier Berger <olivier.berger@telecom-sudparis.eu> writes:

>
> I've more or less done what I could for rdflib 4.0.1, now. 
>
> Christian, I may try to upload it to experimental if you feel like it.
>
> You'll find in the collab-maint Git repo [0] the git-buidpackage sources
> of the updated packaging for RDFLib 4.0.1.
>
>
> [0] http://anonscm.debian.org/gitweb/?p=collab-maint/rdflib.git;a=shortlog;h=refs/heads/debian

[1] http://anonscm.debian.org/gitweb/?p=collab-maint/rdflib.git;a=tag;h=refs/tags/debian/4.0.1-1
-- 
Olivier BERGER 
http://www-public.telecom-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingenieur Recherche - Dept INF
Institut Mines-Telecom, Telecom SudParis, Evry (France)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:54:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.